
*****论文题目：市场利率对住房按揭贷款的传导效应研究——微观经验证据
use 20250512data,clear 

///表1核心变量的描述性统计结果///

sum loan loanfloat tyields  tyields20  lbrate shibor30 epu sdTyields   cpi cerci  m2 lterm  ownership  first_home   age edu   sex 

***控制变量处理*******
global control lcerci  lcpi  lm2  ownership  sex  age edu  first_home lterm 


///表2基准回购结果///
**注：市场利率（lTyields）、国房景气指数（ lcerci）、预期通胀指数（lcpi）、货币供应量（lm2）为滞后项；i.city20为地区固定效应。下同**
reg loan ltyields   lcerci  lcpi  lm2  i.city20 ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) replace    

reg loan ltyields   $control   i.city20   ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) append 

reg loanfloat ltyields    lcerci  lcpi  lm2   i.city20   ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) append 

reg loanfloat ltyields    $control  i.city20    ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) append 


///表3异质性回归（交互项处理）///
**注：ownershipltyields、 sdtyieldsltyields分别进行了去中心化处理****
gen ownershipltyields= ownership*ltyields   
gen tycityltyields= tycity*ltyields

reg loan ltyields   $control   ownershipltyields  i.city20  ,robust  //ownership为国有大银行时赋值为1，否则取0
outreg2 using m1.doc, tstat bdec(3) tdec(2)  replace

reg loanfloat ltyields  $control  ownershipltyields   i.city20  ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append 

reg loan  ltyields $control   tycity  tycityltyields    ,robust   //tycity为省会及直管市时取1，否则取0
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append 

reg loanfloat  ltyields    $control   tycity tycityltyields   ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append 



///表4基于不确定性和市场利率波动的调节效应///
**注：lepu为滞后项，eupltyields、sdtyieldsltyields分别进行了去中心化处理****
gen eupltyields=leup*ltyields
gen sdtyieldstyields=lsdtyields*ltyields

reg loanfloat ltyields    lcerci  lcpi  lm2  lepu leputyields i.city20,robust 
outreg2 using m1.doc, tstat bdec(3) tdec(2) replace    

reg loanfloat ltyields   $control lepu leputyields  i.city20  ,robust 
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append   

reg loanfloat ltyields  lcerci  lcpi  lm2  lsdTyields lsdtyieldstyields i.city20  ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) append

reg loanfloat  ltyields $control  lsdTyields lsdtyieldstyields i.city20  ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append 


///表5中介效应结果///
**注：政策预期指数（lcreditexp）做了插值及滞后处理**   
sgmediation2 loanfloat  ,iv(ltyields  )  mv(lcreditexp ) cv( lcerci  lcpi  lm2  )

sgmediation2 loanfloat  ,iv(ltyields  )  mv(lcreditexp ) cv( lcerci  lcpi  lm2   first_home lterm ownership  sex  age edu  )

bootstrap r(ind_eff) r(dir_eff) r(tot_eff)  , reps(1000) : sgmediation2 loanfloat ,iv(ltyields )  mv(lcreditexp ) cv(  lcerci  lcpi  lm2   first_home lterm ownership  sex  age edu )
estat bootstrap, percentile bc


///附表1稳健性检验1(换解释变量)///
***20年期国债利率作为被解释变量***
reg loan   ltyields20 $control i.city20 , robust  
outreg2 using m1.doc, tstat bdec(3) tdec(2) replace

reg loanfloat    ltyields20 $control i.city20 , robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) append

***30日shibor作为被解释变量****
reg loan   lshibor30 $control i.city20  , robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) append

reg loanfloat   lshibor30 $control i.city20  , robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) append


///附表1稳健性检验2(调整样本期)///
**利率市场化改革阶段***
reg loan  ltyields  $control i.city20 if stardate<td(01jan2016) ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) replace 

reg loanfloat  ltyields    $control i.city20    if stardate<td(01jan2016) ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append 

**利率市场化深化阶段***
reg loan   ltyields $control i.city20 if stardate>=td(01jan2016)  ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) append 

reg loanfloat  ltyields   $control i.city20    if stardate>=td(01jan2016)     ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append 


///附表2稳健性检验(进行欠抽样处理)///
*****抽样1000个样本观测值*****
sample 1000,count by(month) 

reg loan  ltyields   $control    , robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) replace

reg loanfloat   ltyields  $control   , robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) append

*****抽样500个样本观测值******
sample 500,count by(month) 

reg loan   ltyields $control   , robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) append

reg loanfloat  ltyields  $control , robust
outreg2 using m1.doc, tstat bdec(3) tdec(2) append


///附表3分组回归///
reg loan ltyields     $control  i.city20 if ownership==1 ,robust     //ownership为国有大银行时赋值为1，否则取0
outreg2 using m1.doc, tstat bdec(3) tdec(2)  replace

reg loan ltyields     $control  i.city20 if ownership==0 ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append 

reg loanfloat   ltyields    $control  i.city20 if ownership==1 ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append 

reg loanfloat   ltyields    $control  i.city20 if ownership==0 ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append 

reg loan  ltyields   $control  i.city20  if tycity==1 ,robust    //tycity为省会及直管市时取1，否则取0
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append

reg loan ltyields $control  i.city20 if tycity==0 ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append 

reg loanfloat   ltyields   $control  i.city20 if tycity==1 ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append 

reg loanfloat   ltyields   $control  i.city20 if tycity==0 ,robust
outreg2 using m1.doc, tstat bdec(3) tdec(2)  append 


///附表3的suest系数值差异///
reg loan ltyields     $control  i.city20 if ownership==1
est store a 
reg loan ltyields     $control  i.city20 if ownership==0
est store b
suest a b
test [a_mean]ltyields=[b_mean]ltyields

reg loanfloat   ltyields    $control  i.city20 if ownership==1 
est store a
reg loanfloat   ltyields    $control  i.city20 if ownership==0 
est store b
suest a b
test [a_mean]ltyields=[b_mean]ltyields

reg loan  ltyields   $control   if tycity==1  //按城市分类时不再考虑地区固定效应
est store a
reg loan ltyields $control  if tycity==0 //按城市分类时不再考虑地区固定效应
est store b
suest a b
test [a_mean]ltyields=[b_mean]ltyields

reg loanfloat   ltyields   $control   if tycity==1 //按城市分类时不再考虑地区固定效应
est store a
reg loanfloat   ltyields   $control  if tycity==0 //按城市分类时不再考虑地区固定效应
est store b
suest a b
test [a_mean]ltyields=[b_mean]ltyields